<?php

namespace Drp\UserManagement\Policies;

use Drp\UserManagement\Contracts\ManagedUser;
use Illuminate\Auth\Access\HandlesAuthorization;

class UsersPolicy
{
    use HandlesAuthorization;

    public function manage(ManagedUser $user): bool
    {
        return $user->canManageAdmins();
    }

    public function changeRole(ManagedUser $user, ManagedUser $userToUpdate): bool
    {
        return $user->id !== $userToUpdate->id;
    }

    public function delete(ManagedUser $currentUser, ManagedUser $userToDelete): bool
    {
        return $currentUser->id !== $userToDelete->id;
    }
}
